Retrieve Job Status
Use this REST API to poll the server to get the processing state for a job with a specified ID.
Required Roles
Service Administrator
REST Resource
GET /HyperionPlanning/rest/{api_version}/applications/{application}/jobs/{jobIdentifier}
Request
Supported Media Types: application/json
Parameters
Table 3-60 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
applicationName |
The name of the application | Path | Yes | None |
jobIdentifier |
The ID of the job | Path | Yes | None |
Response
Parameters
Table 3-61 Parameters
| Name | Description |
|---|---|
status |
Status of the job: -1 = in progress; 0 = success; 1 = error; 2 = cancel pending; 3 = cancelled; 4 = invalid parameter; Integer.MAX_VALUE = unknown |
details |
Details about the job status, such as "Metadata import was successful" for metadata import |
jobID |
The ID of the job, such as 224 |
jobName |
The name of the job, such as Refresh Database |
descriptiveStatus |
The status of the job, such as Completed or Error |
detailedStatus |
Granular details about job status information |
Supported Media Types: application/json
Example of Response Body
The following shows an example of the response body for metadata import:
{
"status": 0,
"details": "Metadata import was successful",
"jobId": 224,
"detailedStatus": 2,
"jobName": "Import Account Metadata",
"descriptiveStatus": "Completed",
"links": [{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/224",
"action": "GET"
}, {
"rel": "job-details",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/224/details",
"action": "GET"
}]
}
The following shows an example of the response body when an error occurs during cube refresh:
{
"status": 1,
"details": "An error occurred while updating the relational database.",
"jobStatus": "Error",
"detailedStatus": 3,
"jobId": 145,
"jobName": "Refresh Database",
"links": [{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs/145",
"action": "GET"
}, {
"rel": "job-details",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/test2/jobs/145/details",
"action": "GET"
}]
}